﻿using AccessQueueService.Models;
using AccessQueueService.Services;
using Microsoft.AspNetCore.Mvc;

namespace AccessQueueService.Controllers
{
    [ApiController]
    [Route("config")]
    public class ConfigurationController : ControllerBase
    {
        private readonly IAccessService _accessService;

        public ConfigurationController(IAccessService accessService)
        {
            _accessService = accessService;
        }

        [HttpGet]
        public ActionResult<AccessQueueConfig> GetConfiguration()
        {
            return Ok(_accessService.GetConfiguration());
        }

        [HttpPost]
        public IActionResult UpdateConfiguration([FromBody] AccessQueueConfig config)
        {
            _accessService.PatchConfiguration(config);
            return NoContent();
        }
    }
}
